package chaoran.business.adapter;

/*
 **********************************************
 *      DATE           PERSON       REASON
 *    2021-02-01          FXY        Created
 **********************************************
 */


/**
 * 适配器基类
 * 同一品牌的设备，不论什么型号，用的是同一个适配器
 * 设备按品牌区分，而不按具体型号区分
 */
public interface Adapter{

    /**
     * 开始扫描
     *
     * @return
     */
    public void start();

    /**
     * 结束扫描
     *
     * @return
     */
    public void stop();

    public default void stop2() {
        stop();
    }

}
